Bug 206464

Summary: [WPE][WebRTC] Support b/f cache of connected peer connections
Product: WebKit Reporter: Lauro Moura <lmoura>
Component: WebRTCAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dpino, youennf
Priority: P2    
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=218787

Description Lauro Moura 2020-01-17 18:36:26 PST
These two tests have been failing rather consistently (dozens of failures between rare passes) since their introduction in r252889.

* webrtc/peerconnection-page-cache-long.html
* webrtc/peerconnection-page-cache.html

For the last one, the assertion fails when coming back to load the initial page from the cache (in the `pageshow` event).
Comment 1 Diego Pino 2020-05-07 23:50:49 PDT
The tests are passing for GTK since r261277 (webrtc/peerconnection-page-cache.html) and r261343 (webrtc/peerconnection-page-cache-long.html).

However, in WPE webrtc/peerconnection-page-cache.html is flaky and webrtc/peerconnection-page-cache-long.html is still failing.

Removed failures from GTK and updated expectations for WPE:

  webrtc/peerconnection-page-cache-long.html [ Failure ]
  webrtc/peerconnection-page-cache.html [ Failure Pass ]
Comment 2 Diego Pino 2020-05-09 03:52:39 PDT
webrtc/peerconnection-page-cache-long.html started to fail again in GTK since [r261409-r261417]
Comment 3 Diego Pino 2020-05-11 21:34:02 PDT
peerconnection-page-cache.html is flaky.

Diff: https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r261492%20(13697)/webrtc/peerconnection-page-cache-diff.txt

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/webrtc/peerconnection-page-cache-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/webrtc/peerconnection-page-cache-actual.txt
@@ -1,4 +1,4 @@
 
 
-PASS peerconnection-page-cache 
+FAIL peerconnection-page-cache assert_equals: expected "connected" but got "connecting"
 

Stderr: https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r261492%20(13697)/webrtc/peerconnection-page-cache-stderr.txt

(webrtc_video_engine.cc:3160): Absent receive stream; ignoring clearing encoded frame sink for ssrc 0
Comment 4 Diego Pino 2021-12-30 22:30:25 PST
The was only one test filed under this bug:

  webrtc/peerconnection-page-cache-long.html [ Failure Pass Timeout ]

The test has been constantly passing for the last 1000 revisions:

https://results.webkit.org/?limit=1000&platform=GTK&platform=WPE&suite=layout-tests&test=webrtc%2Fpeerconnection-page-cache-long.html

Marking bug as resolved.

Test removed from test expectations in r287490.